Releasing m2e 1.7 - part 1

Signed-off-by: Fred Bricon <fbricon@gmail.com>
diff --git a/documentation/m2e-development-environment.html b/documentation/m2e-development-environment.html
index 3c86324..5574e27 100644
--- a/documentation/m2e-development-environment.html
+++ b/documentation/m2e-development-environment.html
@@ -115,9 +115,9 @@
     </div>
   </div>
   <div class="col-md-9 docs">
-  <h1><a href="#development-environment-setup" name="development-environment-setup">Development Environment Setup</a></h1><p>Download and unpack Eclipse latest SDK build from <a href="http://download.eclipse.org/eclipse/downloads/">http://download.eclipse.org/eclipse/downloads/</a> . The instructions below assume fresh/clean Eclipse installation.</p><p>Install M2Eclipse 1.6 or newer from <a href="http://download.eclipse.org/technology/m2e/releases">http://download.eclipse.org/technology/m2e/releases</a> . This is a P2 repository URL, use Eclipse Install UI to use it as explained in <a href="http://help.eclipse.org/topic/org.eclipse.platform.doc.user/tasks/tasks-127.htm">http://help.eclipse.org/topic/org.eclipse.platform.doc.user/tasks/tasks-127.htm</a></p><p>Clone the M2Eclipse Core repository, see <a href="https://git.eclipse.org/r/#/admin/projects/m2e/m2e-core">https://git.eclipse.org/r/#/admin/projects/m2e/m2e-core</a> for the list of available protocols.</p><p>Clone M2Eclipse Tests repository, see <a href="https://github.com/tesla/m2e-core-tests">https://github.com/tesla/m2e-core-tests</a> for the list of available protocols.</p><p>Import org.eclipse.m2e.workspace, m2e-core and m2e-core-tests as existing maven projects. Follow onscreen instructions, allow M2Eclipse to install additional software and restart eclipse when requested. Give Eclipse some time to update project configuration after restart. You may need to do Project/Clean&hellip;/Clean_all_projects to clear all compilation errors.</p><h2><a href="#running-m2eclipse-automated-regression-tests-from-eclipse" name="running-m2eclipse-automated-regression-tests-from-eclipse">Running M2Eclipse Automated Regression Tests from Eclipse</a></h2><p>Add the following memory configuration parameters to JVM startup options</p>
+  <h1><a href="#development-environment-setup" name="development-environment-setup">Development Environment Setup</a></h1><p>Download and unpack Eclipse latest SDK build from <a href="http://download.eclipse.org/eclipse/downloads/">http://download.eclipse.org/eclipse/downloads/</a> . The instructions below assume fresh/clean Eclipse installation.</p><p>Install M2Eclipse 1.7 or newer from <a href="http://download.eclipse.org/technology/m2e/releases">http://download.eclipse.org/technology/m2e/releases</a> . This is a P2 repository URL, use Eclipse Install UI to use it as explained in <a href="http://help.eclipse.org/topic/org.eclipse.platform.doc.user/tasks/tasks-127.htm">http://help.eclipse.org/topic/org.eclipse.platform.doc.user/tasks/tasks-127.htm</a></p><p>Clone the M2Eclipse Core repository, see <a href="https://git.eclipse.org/r/#/admin/projects/m2e/m2e-core">https://git.eclipse.org/r/#/admin/projects/m2e/m2e-core</a> for the list of available protocols.</p><p>Clone M2Eclipse Tests repository, see <a href="https://github.com/tesla/m2e-core-tests">https://github.com/tesla/m2e-core-tests</a> for the list of available protocols.</p><p>Import org.eclipse.m2e.workspace, m2e-core and m2e-core-tests as existing maven projects. Follow onscreen instructions, allow M2Eclipse to install additional software and restart eclipse when requested. Give Eclipse some time to update project configuration after restart. You may need to do Project/Clean&hellip;/Clean_all_projects to clear all compilation errors.</p><h2><a href="#running-m2eclipse-automated-regression-tests-from-eclipse" name="running-m2eclipse-automated-regression-tests-from-eclipse">Running M2Eclipse Automated Regression Tests from Eclipse</a></h2><p>Add the following memory configuration parameters to JVM startup options</p>
 <pre class="prettyprint linenums">
--XX:MaxPermSize=256m -Xmx1G
+-Xmx1G
 </pre><p>Use JUnit Plug-in Tests launch configuration type to run/debug M2Eclipse automated regressions tests from Eclipse.</p><p>Caveat. Two tests are expected to fail when run from Eclipse</p>
 <ol>
   <li><p>ProjectRegistryManagerTest#testEnvironmentVariablesConsidered requires TEMP environment variable to be set and is expected to failed when run from Eclipse.</p></li>
diff --git a/documentation/m2e-extension-development.html b/documentation/m2e-extension-development.html
index e91d6fa..1df5fc4 100644
--- a/documentation/m2e-extension-development.html
+++ b/documentation/m2e-extension-development.html
@@ -118,7 +118,7 @@
   <h1><a href="#setting-up-eclipse-ide" name="setting-up-eclipse-ide">Setting up Eclipse IDE</a></h1>
 <ul>
   <li>&ldquo;Standard&rdquo; Eclipse distribution 4.5 or newer from <a href="http://www.eclipse.org/downloads/">http://www.eclipse.org/downloads/</a></li>
-  <li>m2e 1.6 or newer from <a href="http://download.eclipse.org/technology/m2e/releases/">http://download.eclipse.org/technology/m2e/releases/</a>, including semi-hidden m2e SDK feature (uncheck &ldquo;Group items by category&rdquo; to see it)</li>
+  <li>m2e 1.7 or newer from <a href="http://download.eclipse.org/technology/m2e/releases/">http://download.eclipse.org/technology/m2e/releases/</a>, including semi-hidden m2e SDK feature (uncheck &ldquo;Group items by category&rdquo; to see it)</li>
 </ul><p><img src="/m2e/assets/img/m2e-sdk-install.png" alt="SDK""/></p><h2><a href="#command-line-build" name="command-line-build">Command line build</a></h2><p>Download and unpack to a local folder Maven 3.0.3 or better available from <a href="http://maven.apache.org/download.html">http://maven.apache.org/download.html</a></p><h1><a href="#prerequisites" name="prerequisites">Prerequisites</a></h1><p>Some OSGi bundle development and PDE knowledge is assumed.</p>
 <ul>
   <li>Doc: <a href="http://help.eclipse.org/luna/index.jsp?topic=/org.eclipse.pde.doc.user/guide/intro/pde_overview.htm">http://help.eclipse.org/luna/index.jsp?topic=/org.eclipse.pde.doc.user/guide/intro/pde_overview.htm</a></li>
diff --git a/documentation/m2e-faq.html b/documentation/m2e-faq.html
index 323b1ca..a75ce1d 100644
--- a/documentation/m2e-faq.html
+++ b/documentation/m2e-faq.html
@@ -164,7 +164,7 @@
   <li>indexes for remote Maven repositories can be also packaged as Eclipse plugin and installed using Eclipse Update manager.</li>
   <li>index for a Local Maven repository is updated incrementally when plugin downloads jars from any remote repositories. Local repository can be also reindexed from Window / Preferences⦠/ Maven preferences page.</li>
   <li>index for an Eclipse workspace is updated when projects are added, removed or changed in Eclipse workspace.</li>
-</ul><h2>M2Eclipse vs. maven-eclipse-plugin</h2><p>M2Eclipse is an Eclipse plugin that allows execution of Maven goals and manages Maven dependencies. It is a different beast to the maven-eclipse-plugin which is a Maven plugin that attempts to manage/modify Eclipse project files to account for Maven dependencies. Generally, if you are using m2eclipse you don&rsquo;™t really need maven-eclipse-plugin. The former is providing advanced project import and configuration features and provides integration with other Eclipse tools.</p><h2><a href="#what-version-of-maven-is-used-by-m2eclipse-" name="what-version-of-maven-is-used-by-m2eclipse-">What Version of Maven is used by M2Eclipse?</a></h2><p>Plugin is not actually using Maven itself. It is using component that is part of Maven called Maven Embedder. This component is not available for Maven 2.0.x. The Embedder is used by the Maven command line interface (CLI) starting from version 2.1 that includes number of improvements to allow it to actually embed Maven.</p><p>The m2eclipse is currently using the Embedder component from Maven 3.3.3. If you want to execute particular version of Maven installed elsewhere, you can do so from the Maven launch configuration or select it as default in Maven / Installations preference page.</p><h2><a href="#why-does-my-maven-build-work-on-the-cli-but-not-in-m2eclipse-" name="why-does-my-maven-build-work-on-the-cli-but-not-in-m2eclipse-">Why does my Maven build work on the CLI but not in M2Eclipse?</a></h2><p>Because M2Eclipse is using the embedded Maven runtime in Maven 3.0, you can see differences in the execution between m2eclipse and command line when Maven 2.1.x is used. We hope that such regressions and incompatibilities will be fixed in the future releases of Maven 3.0. Note that m2eclipse is always using embedded Maven runtime when running Maven builder, importing projects and updating project configuration, however you can configure m2eclipse to use external Maven installation when launching Maven using &ldquo;Run as¦ / Maven XXX&rdquo; actions.</p><h2><a href="#how-to-generate-a-thread-dump" name="how-to-generate-a-thread-dump">How to generate a thread dump</a></h2>
+</ul><h2>M2Eclipse vs. maven-eclipse-plugin</h2><p>M2Eclipse is an Eclipse plugin that allows execution of Maven goals and manages Maven dependencies. It is a different beast to the maven-eclipse-plugin which is a Maven plugin that attempts to manage/modify Eclipse project files to account for Maven dependencies. Generally, if you are using m2eclipse you don&rsquo;™t really need maven-eclipse-plugin. The former is providing advanced project import and configuration features and provides integration with other Eclipse tools.</p><h2><a href="#what-version-of-maven-is-used-by-m2eclipse-" name="what-version-of-maven-is-used-by-m2eclipse-">What Version of Maven is used by M2Eclipse?</a></h2><p>Plugin is not actually using Maven itself. It is using component that is part of Maven called Maven Embedder. This component is not available for Maven 2.0.x. The Embedder is used by the Maven command line interface (CLI) starting from version 2.1 that includes number of improvements to allow it to actually embed Maven.</p><p>The m2eclipse is currently using the Embedder component from Maven 3.3.9. If you want to execute particular version of Maven installed elsewhere, you can do so from the Maven launch configuration or select it as default in Maven / Installations preference page.</p><h2><a href="#why-does-my-maven-build-work-on-the-cli-but-not-in-m2eclipse-" name="why-does-my-maven-build-work-on-the-cli-but-not-in-m2eclipse-">Why does my Maven build work on the CLI but not in M2Eclipse?</a></h2><p>Because M2Eclipse is using the embedded Maven runtime in Maven 3.0, you can see differences in the execution between m2eclipse and command line when Maven 2.1.x is used. We hope that such regressions and incompatibilities will be fixed in the future releases of Maven 3.0. Note that m2eclipse is always using embedded Maven runtime when running Maven builder, importing projects and updating project configuration, however you can configure m2eclipse to use external Maven installation when launching Maven using &ldquo;Run as¦ / Maven XXX&rdquo; actions.</p><h2><a href="#how-to-generate-a-thread-dump" name="how-to-generate-a-thread-dump">How to generate a thread dump</a></h2>
 <ul>
   <li>On Windows press Ctrl-Break in the Java console started with Eclipse IDE. To start Eclipse with Java console use java.exe instead of javaw.exe in eclipse.ini.</li>
 </ul>
diff --git a/documentation/m2e-making-maven-plugins-compat.html b/documentation/m2e-making-maven-plugins-compat.html
index 25cea2d..2206dc4 100644
--- a/documentation/m2e-making-maven-plugins-compat.html
+++ b/documentation/m2e-making-maven-plugins-compat.html
@@ -4,7 +4,7 @@
 <!--[if !IE]><!-->
 <html lang="en"> <!--<![endif]-->
   <head>
-    <title>M2Eclipse | Making Maven Plugins M2Eclilpse Compatible</title>
+    <title>M2Eclipse | Making Maven Plugins M2Eclipse Compatible</title>
     <!-- Meta -->
     <meta charset="utf-8" />
     <meta name="viewport" content="width=device-width, initial-scale=1.0" />
diff --git a/index.html b/index.html
index eef3543..fddd8b5 100644
--- a/index.html
+++ b/index.html
@@ -9,7 +9,7 @@
     <meta charset="utf-8" />
     <meta name="viewport" content="width=device-width, initial-scale=1.0" />
     <meta name="description" content="M2Eclipse provides tight integration for Apache Maven into the Eclipse IDE." />
-    <meta name="author" content="M2Eclipse Team" />
+    <meta name="author" content="eclipse.org" />
     <meta property="twitter:account_id" content="15710507" />      
     <!-- CSS Global Compulsory-->
     <link rel="stylesheet" href="/m2e/assets/plugins/bootstrap/css/bootstrap.css" />
@@ -109,7 +109,7 @@
       <li>Quick search for dependencies in Maven remote repositories</li>
     </ul>
     <h2>Installation</h2>
-    <p>You can install the lastest M2Eclipse release (1.6.2) by using the following update site from
+    <p>You can install the lastest M2Eclipse release (1.7.0) by using the following update site from
 within Eclipse:</p>
     <p>
       <a href="http://download.eclipse.org/technology/m2e/releases" target="_blank">
diff --git a/m2e-downloads.html b/m2e-downloads.html
index 846b0e6..c05c083 100644
--- a/m2e-downloads.html
+++ b/m2e-downloads.html
@@ -240,8 +240,15 @@
       <td>releases/1.6/1.6.2.20150902-0002</td>
       <td><a href="http://download.eclipse.org/technology/m2e/releases/1.6/1.6.2.20150902-0002">http://download.eclipse.org/technology/m2e/releases/1.6/1.6.2.20150902-0002</a></td>
     </tr>
+    <tr>
+      <td>1.7.0</td>
+      <td>1.7.0.20160603-1933</td>
+      <td>2016-06-22</td>
+      <td>releases/1.7/1.7.0.20160603-1933</td>
+      <td><a   href="http://download.eclipse.org/technology/m2e/releases/1.7/1.7.0.20160603-1933">http://download.eclipse.org/technology/m2e/releases/1.7/1.7.0.20160603-1933</a></td>
+    </tr>
   </tbody>
-</table><h1><a href="#supported-environments" name="supported-environments">Supported Environments</a></h1><h2>M2Eclipse 1.6.2/Mars</h2><p>M2Eclipse 1.6.2/Mars is tested and validated against Eclipse 4.4 (Luna)</p><p>M2Eclipse 1.6.2/Mars requires minimum java 7</p><p>M2Eclipse 1.6.2/Mars is tested and validated on the following reference platforms (this list is updated over the course of the release cycle):</p>
+</table><h1><a href="#supported-environments" name="supported-environments">Supported Environments</a></h1><h2>M2Eclipse 1.7.0/Neon</h2><p>M2Eclipse 1.7.0/Neon is tested and validated against Eclipse 4.6 (Neon)</p><p>M2Eclipse 1.7.0/Neon requires minimum java 8</p><p>M2Eclipse 1.7.0/Neon is tested and validated on the following reference platforms (this list is updated over the course of the release cycle):</p>
 <table>
   <tbody>
   <tr>
@@ -256,28 +263,27 @@
     <td>Linux</td>
     <td>CentOS 6.5</td>
     <td>x86-64</td>
-    <td>Oracle Java 1.7, 1.8</td>
+    <td>Oracle 1.8</td>
     <td>GTK+ 2</td>
     <td>
-      <a href="https://ci.takari.io/job/m2eclipse-core-tests/lastCompletedBuild/testReport/">1.7</a>
-      <a href="https://ci.takari.io/job/m2eclipse-core-tests%20%28jdk-1.8%29/lastCompletedBuild/testReport/">1.8</a>
+      <a href="https://ci.takari.io/job/m2eclipse-core-tests/lastCompletedBuild/testReport/">1.8</a>
     </td>
   </tr>
   <tr>
     <td>OSX</td>
     <td>10.10</td>
     <td>x86-64</td>
-    <td>Oracle Java 1.7, 1.8</td>
+    <td>Oracle 1.8</td>
     <td>Cocoa</td>
-    <td>[TBD 1.7], [TBD 1.8]</td>
+    <td>[TBD 1.8]</td>
   </tr>
   <tr>
     <td>Windows</td>
     <td>Windows 7</td>
     <td>x86-64</td>
-    <td>Oracle Java 1.7, 1.8</td>
+    <td>Oracle 1.8</td>
     <td>Windows 7</td>
-    <td>[TBD 1.7], [TBD 1.8]</td>
+    <td>[TBD 1.8]</td>
   </tr>
   </tbody>
 </table>